Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.exchange
Class RecurrenceType

    java.lang.Object
      com.compoze.exchange.RecurrenceType

All Implemented Interfaces:
  java.io.Serializable

public class RecurrenceType
extends java.lang.Object
implements java.io.Serializable

This class stores the values for a 'recurrence type'. The internationalizable string values are stored in the `exchange_resources.properties` file (accessed through `ExchangeProperties`) and referenced by their key.

See Also:
  Serialized Form

Field Summary
`static RecurrenceType` | `DAILY` This value represents a 'daily' recurrence type.
`static RecurrenceType` | `MONTHLY` This value represents a 'monthly' recurrence type.
`static RecurrenceType` | `MONTHLY_NTH` This value represents a 'monthly nth' recurrence type.
`static RecurrenceType` | `NONE` This value represents a 'none' recurrence type.
`static int` | `STORE_VALUE_DAILY` This represents the 'daily' store value.
`static int` | `STORE_VALUE_MONTHLY` This represents the 'monthly' store value.
`static int` | `STORE_VALUE_MONTHLY_NTH` This represents the 'monthly nth' store value.
`static int` | `STORE_VALUE_NONE` This represents the 'none' store value.
`static int` | `STORE_VALUE_WEEKLY` This represents the 'weekly' store value.
`static int` | `STORE_VALUE_YEARLY` This represents the 'yearly' store value.
`static int` | `STORE_VALUE_YEARLY_NTH` This represents the 'yearly nth' store value.
`static RecurrenceType` | `WEEKLY` This value represents a 'weekly' recurrence type.
`static RecurrenceType` | `YEARLY` This value represents a 'yearly' recurrence type.
`static RecurrenceType` | `YEARLY_NTH` This value represents a 'yearly nth' recurrence type.

Method Summary
`boolean` | `equals(java.lang.Object o)` Checks for equality.
`static RecurrenceType` | `get(int iStoreValue)` Gets the recurrence type by its store value.
`static java.util.List` | `getList()` Gets the list of recurrence type levels.
`java.lang.String` | `getName()` Gets the name of the recurrence type using the system default locale.
`java.lang.String` | `getName(java.util.Locale locale)` Gets the name of the recurrence type using the specified locale.
`int` | `getStoreValue()` Gets the value that's used to store the recurrence type in the storage system.
`java.lang.String` | `toString()` Returns a string representation of the object.
`java.lang.String` | `toString(java.util.Locale locale)` Returns a string representation of the object.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### STORE_VALUE_NONE

    public static final int STORE_VALUE_NONE

  This represents the 'none' store value.

  See Also:
    Constant Field Values

### STORE_VALUE_DAILY

    public static final int STORE_VALUE_DAILY

  This represents the 'daily' store value.

  See Also:
    Constant Field Values

### STORE_VALUE_WEEKLY

    public static final int STORE_VALUE_WEEKLY

  This represents the 'weekly' store value.

  See Also:
    Constant Field Values

### STORE_VALUE_MONTHLY

    public static final int STORE_VALUE_MONTHLY

  This represents the 'monthly' store value.

  See Also:
    Constant Field Values

### STORE_VALUE_MONTHLY_NTH

    public static final int STORE_VALUE_MONTHLY_NTH

  This represents the 'monthly nth' store value.

  See Also:
    Constant Field Values

### STORE_VALUE_YEARLY

    public static final int STORE_VALUE_YEARLY

  This represents the 'yearly' store value.

  See Also:
    Constant Field Values

### STORE_VALUE_YEARLY_NTH

    public static final int STORE_VALUE_YEARLY_NTH

  This represents the 'yearly nth' store value.

  See Also:
    Constant Field Values

### NONE

    public static final RecurrenceType NONE

  This value represents a 'none' recurrence type.

### DAILY

    public static final RecurrenceType DAILY

  This value represents a 'daily' recurrence type.

### WEEKLY

    public static final RecurrenceType WEEKLY

  This value represents a 'weekly' recurrence type.

### MONTHLY

    public static final RecurrenceType MONTHLY

  This value represents a 'monthly' recurrence type.

### MONTHLY_NTH

    public static final RecurrenceType MONTHLY_NTH

  This value represents a 'monthly nth' recurrence type.

### YEARLY

    public static final RecurrenceType YEARLY

  This value represents a 'yearly' recurrence type.

### YEARLY_NTH

    public static final RecurrenceType YEARLY_NTH

  This value represents a 'yearly nth' recurrence type.

Method Detail

### getName

    public java.lang.String getName()

  Gets the name of the recurrence type using the system default locale.

  Returns:
    the name

### getName

    public java.lang.String getName(java.util.Locale locale)

  Gets the name of the recurrence type using the specified locale.

  Parameters:
    `locale` - the locale
  Returns:
    the name

### getStoreValue

    public int getStoreValue()

  Gets the value that's used to store the recurrence type in the storage system.

  Returns:
    the store value

### get

    public static RecurrenceType get(int iStoreValue)

  Gets the recurrence type by its store value.

  Parameters:
    `iStoreValue` - the store value to get by
  Returns:
    the matching recurrence type or `null` if not found

### getList

    public static java.util.List getList()

  Gets the list of recurrence type levels.

  Returns:
    the list of `RecurrenceType`es (unmodifiable)

### equals

    public boolean equals(java.lang.Object o)

  Checks for equality. The store value is used to determine equality, so that the language the name is represented in is not important.

  Parameters:
    `o` - the object to check
  Returns:
    `true` if this object has the same store value as the argument, `false` otherwise

### toString

    public java.lang.String toString()

  Returns a string representation of the object.

  Returns:
    the string representation of the object

### toString

    public java.lang.String toString(java.util.Locale locale)

  Returns a string representation of the object.

  Parameters:
    `locale` - the locale
  Returns:
    the string representation of the object

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.